package de.valentin.colorconsistency;

import android.app.IntentService;
import android.content.Intent;
import androidx.annotation.Nullable;
import de.valentin.colorconsistency.ToGravityBox.GravitBoxConnector;
import de.valentin.colorconsistency.ToKWLP.KLWPConnector;
import de.valentin.colorconsistency.ToNova.NovaLauncherConnector;
import de.valentin.colorconsistency.ToSwiftkey.SwiftkeyConnector;
import de.valentin.colorconsistency.image.RandomImage;
import de.valentin.colorconsistency.image.SelectedColors;

import java.io.File;

public class ImageChangeService extends IntentService {

    /**
     * Creates an IntentService.  Invoked by your subclass's constructor.
     *
     * @param name Used to name the worker thread, important only for debugging.
     */
    public ImageChangeService(String name) {
        super(name);
    }
    public ImageChangeService() {
        super("ImageChangeService");
    }


    @Override
    protected void onHandleIntent(@Nullable Intent intent) {
        RandomImage randomImage = new RandomImage(new File("/storage/emulated/0/Pictures/Wallpapers"));
        String imagePath= randomImage.getPath();
        SelectedColors colors = randomImage.getSelectedColors();

        sendBroadcast(new KLWPConnector(imagePath, colors).getIntent());

        sendBroadcast(new GravitBoxConnector(colors).getIntent());

        SwiftkeyConnector swiftkeyConnector = new SwiftkeyConnector(colors.getForeground());
        swiftkeyConnector.writeFile();
        sendBroadcast(swiftkeyConnector.getIntent());

        new NovaLauncherConnector(colors).writeFile();

    }




}
