package de.valentin.colorconsistency.image;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import androidx.palette.graphics.Palette;

import java.io.File;
import java.util.Random;

public class RandomImage {
    File folder;
    File selected;
    String path;
    Bitmap bitmap;
    Palette palette;
    SelectedColors selectedColors;


    public RandomImage(File folder) {
        this.folder=folder;
        pickRandomFile();
    }

    public  void pickRandomFile(){
        try {
            File[] files = folder.listFiles();
            Random rand = new Random();

            selected = files[rand.nextInt(files.length)];
            path = selected.getAbsolutePath();

            bitmap = BitmapFactory.decodeFile(path);
            palette = Palette.from(bitmap).generate();
            palette.getDarkMutedColor(0);
            selectedColors = new SelectedColors(
                    palette.getLightMutedColor(Color.WHITE),
                    palette.getDarkMutedColor(Color.BLACK),
                    palette.getDominantColor(Color.WHITE));
        }
        catch (Exception e ){
            path="error";
        }

    }


    public String getPath() {
        return path;
    }

    public File getFolder() {
        return folder;
    }

    public File getSelected() {
        return selected;
    }

    public Bitmap getBitmap() {
        return bitmap;
    }

    public Palette getPalette() {
        return palette;
    }

    public SelectedColors getSelectedColors() {
        return selectedColors;
    }
}
